//
//  ViewController.swift
//  TableViewExample
//
//  Created by Belal Khan on 30/07/16.
//  Copyright © 2016 Belal Khan. All rights reserved.
//

import UIKit

//Changed the class name to TableViewController
//and it is inheriting the class UITableViewController
class TableViewController: UITableViewController {

    //created a string array to display on table view
    var tableItems = ["Swift","Python","PHP","Java","JavaScript","C#"]
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    //this method will populate the table view
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let tableRow = tableView.dequeueReusableCellWithIdentifier("TableRow") as UITableViewCell!
        
        //adding the item to table row
        tableRow.textLabel?.text = tableItems[indexPath.row]
        
        return tableRow
    }
    
    
    //this method will return the total rows count in the table view
    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return tableItems.count
    }


}

